#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp-test
version:              0.11.0.7
visibility:           public
id:                   lsp-test-0.11.0.7-2CnFgi5gwZBFrSqj99RXDg
key:                  lsp-test-0.11.0.7-2CnFgi5gwZBFrSqj99RXDg
license:              BSD-3-Clause
copyright:            2020 Luke Lau
maintainer:           luke_lau@icloud.com
author:               Luke Lau
homepage:             https://github.com/bubba/lsp-test#readme
synopsis:             Functional test framework for LSP servers.
description:
    A test framework for writing tests against
    <https://microsoft.github.io/language-server-protocol/ Language Server Protocol servers>.
    @Language.Haskell.LSP.Test@ launches your server as a subprocess and allows you to simulate a session
    down to the wire, and @Language.Haskell.LSP.Test@ can replay captured sessions from
    <haskell-lsp https://hackage.haskell.org/package/haskell-lsp>.
    To see examples of it in action, check out <https://github.com/haskell/haskell-ide-engine haskell-ide-engine>,
    <https://github.com/haskell/haskell-language-server haskell-language-server> and
    <https://github.com/digital-asset/ghcide ghcide>.

category:             Testing
abi:                  037f9d8ba8e4561fbb894df2289e59ae
exposed:              True
exposed-modules:
    Control.Applicative.Combinators from parser-combinators-1.3.0-FL5bcA6sX4a2ejs4tDtkjB:Control.Applicative.Combinators,
    Language.Haskell.LSP.Test, Language.Haskell.LSP.Test.Replay,
    Language.Haskell.LSP.Types from haskell-lsp-types-0.24.0.0-4TQ26yv0oa26CXeqMy2uYP:Language.Haskell.LSP.Types,
    Language.Haskell.LSP.Types.Capabilities from haskell-lsp-types-0.24.0.0-4TQ26yv0oa26CXeqMy2uYP:Language.Haskell.LSP.Types.Capabilities

hidden-modules:
    Language.Haskell.LSP.Test.Compat Language.Haskell.LSP.Test.Decoding
    Language.Haskell.LSP.Test.Exceptions
    Language.Haskell.LSP.Test.Files Language.Haskell.LSP.Test.Messages
    Language.Haskell.LSP.Test.Parsing Language.Haskell.LSP.Test.Server
    Language.Haskell.LSP.Test.Session

import-dirs:          /usr/lib/ghc-9.0.2/site-local/lsp-test-0.11.0.7
library-dirs:         /usr/lib/ghc-9.0.2/site-local/lsp-test-0.11.0.7
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp0-test
hs-libraries:         HSlsp-test-0.11.0.7-2CnFgi5gwZBFrSqj99RXDg
depends:
    Diff-0.4.1-17DU5voy0VPGxP254Qlxq2
    Glob-0.10.2-5H03sW4ydF4DOZoL6v33OH
    aeson-1.5.6.0-9RfWlbr0iJzGkGGEmlWhlU
    aeson-pretty-0.8.9-CwLrOBJry2qK0vUfZixS22
    ansi-terminal-0.11.1-3bF8hvpb5rt8AmpxYz60ww
    async-2.2.4-IyWEfdMvX6p3WNvmQSifvv base-4.15.1.0
    bytestring-0.10.12.1 conduit-1.3.4.2-JoUqCIHmBB5RWjBTEBYsp
    conduit-parse-0.2.1.0-KAbXyZg3aDFKvyLUlAQ7MM containers-0.6.4.1
    data-default-0.7.1.1-EcFn1KqENcc3dlLa7FIl7R directory-1.3.6.2
    filepath-1.4.2.1 haskell-lsp-0.24.0.0-82iIgZfHKHC3hLAuOwzt4s
    lens-5.1-35hOsc17ouGLR87q1aDt7k mtl-2.2.2
    parser-combinators-1.3.0-FL5bcA6sX4a2ejs4tDtkjB process-1.6.13.2
    text-1.2.5.0 transformers-0.5.6.2 unix-2.7.2.2
    unordered-containers-0.2.17.0-4bcRecgfIOjL5KIXJoFyIi

haddock-interfaces:   /usr/share/doc/haskell-lsp0-test/html/lsp-test.haddock
haddock-html:         /usr/share/doc/haskell-lsp0-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

